# Precision Time Inventory The Precision Time Inventory lists all the Precision Time service instances that are included in a billing account, along with their provisioning status. If your Fabric account has been transitioned to the Equinix Identity and Access Management (IAM) platform, use the Context Switcher drop-down list to access your project and its assets. To view Precision Time services, you need the `EPT Service Admin` role. To access Precision Time service information in the API, you must submit your Client ID and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. ## Service Inventory[​](#service-inventory "Direct link to Service Inventory") * Portal * API 1. Sign into the [Customer portal](https://portal.equinix.com/fabric/). 2. From the *Precision Time* menu, click **Service Inventory**. ![](https://docs.equinix.com/assets/images/inventory-a4a066cc801e5fe52ef6cd5ffb2aa61c.png) The table lists your Precision Time services, their status, package, origin access point, origin client location, the time service location, and the date the service was last modified. Click **Export CSV** to export the data to a downloadable `.csv` file. To get a list of your Precision Time services, send a `POST` request to the [`/fabric/v4/timeServices/search`](https://docs.equinix.com/api-catalog/fabricv4/precision-time-services/searchtimeservices.md) endpoint. This endpoint also provides the ability to filter and sort the response. To see the list of services for a specific project, filter by project ID. Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/timeServices/search' \ -H 'content-type: application/json' \ -H 'authorization: Bearer ' \ -d '{ "filter": { "and": [ { "property": "/project/projectId", "operator": "=", "values": [ "" ] } ] }, "pagination": { "offset": 0, "limit": 20 }, "sort": [ { "direction": "DESC", "property": "/changeLog/createdDateTime" } ] }' ``` ## Service Details[​](#service-details "Direct link to Service Details") * Portal * API In the Service Inventory, click a service name to access the details page. ![](https://docs.equinix.com/assets/images/ept-details-page-d7930f0b9c19dcb98e0b43f31530462f.png) Service details include basic information about the service. You can also find details on the locations, the networking and connection settings, NTP or PTP advanced configuration details, and pricing. To get the details of a Precision Time service, send a `GET` request to the [`/fabric/v4/timeServices/{serviceId}`](https://docs.equinix.com/api-catalog/fabricv4/precision-time-services/gettimeservicesbyid.md) endpoint. Specify the ID of the service in the path of the request. Sample cURL Request: ``` curl -X 'GET' 'https://api.equinix.com/fabric/v4/timeServices/' \ -H 'accept: application/json' \ -H 'Authorization: Bearer ' ``` ## Connections[​](#connections "Direct link to Connections") * Portal * API The *Connections* tab displays the list of connections for the Fabric Cloud Router. The table includes the Connection name, access point, IBX, connection status, bandwidth, and UUID. ![](https://docs.equinix.com/assets/images/inventory-connections-2abb11eb4ce204ac4282f482339c2db8.png) Click on a connection name to view the *Connection Details* page in the [*Connections Inventory*](https://docs.equinix.com/fabric/managing-connections/fabric-new-connections-inventory.md). To get the list of connections for a Precision Time service, send a `GET` request to the [`/fabric/v4/timeServices/{serviceId}/connections`](https://docs.equinix.com/api-catalog/fabricv4/precision-time-services/gettimeservicesconnectionsbyserviceid.md) endpoint. Specify the ID of the service in the path of the request. Sample cURL Request: ``` curl -X 'GET' 'https://api.equinix.com/fabric/v4/timeServices//connections' \ -H 'accept: application/json' \ -H 'Authorization: Bearer ' ``` The Equinix API also offers the ability to create a stream for your Precision Time service's connection metrics so you can view the data from the Equinix API or create a subscription to have the data sent to your data collection platform. To configure data collection from the API: * [Create a stream](https://docs.equinix.com/observability/streaming-data/api-managing-streams.md). * [Add your Precision Time connection to the stream](https://docs.equinix.com/observability/streaming-data/api-managing-assets.md). To get your data, either: * Retrieve the data from the Metrics API endpoint]\(../observability/streaming-data/metrics.md#viewing-metrics-from-the-api). * [Create a subscription](https://docs.equinix.com/observability/streaming-data/api-managing-subscriptions.md) and send the data to a data collector. ## Viewing Event Logs[​](#viewing-event-logs "Direct link to Viewing Event Logs") View or stream a comprehensive list of lifecycle events of the Precision Time service. The following event data is available: ``` equinix.fabric.time_service.state.cancelled equinix.fabric.time_service.state.configured equinix.fabric.time_service.state.configuring equinix.fabric.time_service.state.configuring_failed equinix.fabric.time_service.state.deprovisioned equinix.fabric.time_service.state.deprovisioning equinix.fabric.time_service.state.deprovisioning_failed equinix.fabric.time_service.state.draft equinix.fabric.time_service.state.provisioned equinix.fabric.time_service.state.provisioning equinix.fabric.time_service.state.provisioning_failed ``` Refer to the list of [supported events](https://github.com/equinix/equinix-cloudevents?tab=readme-ov-file#equinix-time-service-changeevent). * Portal * API To view lifecycle events for a Precision Time Service instance: 1. Navigate to the asset detail page. 2. Click the **Events** tab. 3. Select a time or date interval from the drop-down to filter events. ![](https://docs.equinix.com/assets/images/ept-events-6778601d9e271c54db2d098a11cd7987.png) The Equinix API offers the ability to create a stream for your Precision Time service lifecycle events so you can view the data from the Equinix API or create a subscription to have the data sent to your data collection platform. To configure data collection from the API: * [Create a stream](https://docs.equinix.com/observability/streaming-data/api-managing-streams.md). * [Add your Precision Time service to the stream](https://docs.equinix.com/observability/streaming-data/api-managing-assets.md). To get your data, either: * [Create a subscription](https://docs.equinix.com/observability/streaming-data/create-subscription.md) and send the data to a data collector.